# this has all of the subdirectories that make will recurse into.  if
# there are none, comment this out
SUBDIRS = widgets dialogs toolbar mimetypes icons audio cdbosettings

# this is the program that gets installed.  it's name is used for all
# of the other Makefile.am variables
bin_PROGRAMS = cdbakeoven

# set the include path for X, qt and KDE
INCLUDES = $(all_includes)

# the library search path. 
cdbakeoven_LDFLAGS = $(KDE_RPATH) $(all_libraries)

# the libraries to link against.
cdbakeoven_LDADD   = ./widgets/libwidgets.a ./dialogs/libdialogs.a ./dialogs/dialogParts/libdialogParts.a \
	./widgets/fileViews/libfileViews.a ./audio/libaudio.a -lkio  $(LIB_KFILE) $(LIB_KDEUI) $(LIB_KDECORE) \
	$(LIB_QT) $(LIBSOCKET)

# which sources should be compiled for cdbakeoven
cdbakeoven_SOURCES = NewAdvancedCdCompilationView.cpp CdboCompilationView.cpp NewAudioCdCompilationView.cpp NewCdCompilationView.cpp cdbakeovenview.cpp cdbakeoven.cpp main.cpp

# these are the headers for your project that won't be installed
noinst_HEADERS = NewAdvancedCdCompilationView.cpp CdboCompilationView.cpp NewAudioCdCompilationView.cpp NewCdCompilationView.cpp cdbakeovenview.cpp cdbakeoven.cpp main.cpp

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) `find . -name \*.cpp` -o $(podir)/cdbakeoven.pot

# this is where the desktop file will go 
desktopdir   = $(kde_appsdir)/Utilities
desktop_DATA = cdbakeoven.desktop

# this is where settings desktop file will go
datadir = $(kde_datadir)/cdbakeoven
data_DATA = cdbosettings.desktop
